Tool: list_runtime_specs
Lists the runtime specs (variant, accelerator and shape) and whether the user is eligible for each. Call it before create_runtime to pick a spec.
The following code sample shows how to use curl to call the list_runtime_specs MCP tool.
| Curl Request |
|---|
curl --location 'https://colaboratory.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_runtime_specs", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListRuntimeSpecs.
Output Schema
Response message for ListRuntimeSpecs.
ListRuntimeSpecsResponse
| JSON representation |
|---|
{
"runtimeSpecs": [
{
object ( |
| Fields | |
|---|---|
runtimeSpecs[] |
The list of runtime specs available to the requesting user. |
RuntimeSpec
| JSON representation |
|---|
{
"key": {
object ( |
| Fields | |
|---|---|
key |
Required. The key of the runtime spec. |
eligible |
Output only. Whether the requesting user is eligible for the runtime spec. |
Key
| JSON representation |
|---|
{ "variant": enum ( |
| Fields | |
|---|---|
variant |
Required. Runtime variant. |
accelerator |
Required. Runtime accelerator model name (e.g., "T4", "L4", "A100"). For CPU runtime specs, this field will be "NONE". |
shape |
Required. Runtime shape. |
Variant
Runtime variant.
| Enums | |
|---|---|
VARIANT_UNSPECIFIED |
Default value. This value is unused. |
VARIANT_CPU |
CPU variant. |
VARIANT_GPU |
GPU variant. |
VARIANT_TPU |
TPU variant. |
Shape
Runtime shape.
| Enums | |
|---|---|
SHAPE_UNSPECIFIED |
Default value. This value is unused. |
SHAPE_STANDARD |
Standard shape. |
SHAPE_HIGHMEM |
High memory shape. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌